## Training
### Preparation Before Training
To extract ImageNet features with `1` GPUs on one node:

```bash
RESIZE=80
torchrun --nnodes=1 --nproc_per_node=1 --master_port=29502 extract_features.py --model DiT-S/2 --data-path data/CIFAR10/train --features-path features/CIFAR10_${RESIZE}/train --resize $RESIZE

32 48 64 80 96 112 128

RESIZE=80
torchrun --nnodes=1 --nproc_per_node=1 --master_port=29502 extract_features.py --model DiT-S/2 --data-path data/CIFAR10/test --features-path features/CIFAR10_${RESIZE}/test --resize $RESIZE
```

### Training DiT

```bash
export CUDA_VISIBLE_DEVICES=0
RESIZE=4
torchrun --nnodes=1 --nproc_per_node=1 --master_port=29519 train.py --model DiT-S/2 --feature-path features/CIFAR10_${RESIZE}/train --results-dir results/DiT-S-2/CIFAR10_${RESIZE}_latent --image-size $RESIZE --epochs 100 --latent True
```

### Testing DiT

```bash
RESIZE=80
torchrun --nnodes=1 --nproc_per_node=1 --master_port=29506 test.py --model DiT-S/2 --feature-path features/CIFAR10_${RESIZE}/test --results-dir results/DiT-S-2/CIFAR10_${RESIZE}/test --image-size $RESIZE --model-path results/DiT-S-2/CIFAR10_${RESIZE}_latent/0019000.pt --random_time False --constant_timestep 5 --latent True


for RESIZE in 32 48 80; do
  torchrun --nnodes=1 --nproc_per_node=1 --master_port=29506 test.py --model DiT-S/2 --feature-path features/CIFAR10_${RESIZE}/test --results-dir results/DiT-S-2/CIFAR10_${RESIZE}/test --image-size $RESIZE --model-path results/DiT-S-2/CIFAR10_${RESIZE}/0005000.pt --random_time False --constant_timestep 1
done
```